org.eclnt.jsfserver.elements.componentnodes

## Class FILEDOWNLOADNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.FILEDOWNLOADNode

- All Implemented Interfaces:
    java.io.Serializable

      public class FILEDOWNLOADNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FILEDOWNLOADNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FILEDOWNLOADNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindActionListener(IActionListenerDelegation value)`
    `FILEDOWNLOADNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindAsynchronous(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindClientname(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindColspan(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindCommandfilter(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindComment(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindEnforceextension(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindFileextensions(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindFilename(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindLocalfilemode(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindOpenimmediately(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindOpensupported(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindPrintimmediately(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindPrintsupported(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindRendered(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindUrl(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindWithcallback(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindWithcontentsize(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindX(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `bindY(IDynamicContentBindingObject value)`
    `FILEDOWNLOADNode` | `setAccessiblename(java.lang.String value)`
    `FILEDOWNLOADNode` | `setActionListener(java.lang.String value)`
    `FILEDOWNLOADNode` | `setAdapterbinding(java.lang.String value)`
    `FILEDOWNLOADNode` | `setAsynchronous(boolean value)`
    `FILEDOWNLOADNode` | `setAsynchronous(java.lang.String value)`
    `FILEDOWNLOADNode` | `setAttributemacro(java.lang.String value)`
    `FILEDOWNLOADNode` | `setClientname(java.lang.String value)`
    `FILEDOWNLOADNode` | `setColspan(int value)`
    `FILEDOWNLOADNode` | `setColspan(java.lang.String value)`
    `FILEDOWNLOADNode` | `setCommandfilter(java.lang.String value)`
    `FILEDOWNLOADNode` | `setComment(java.lang.String value)`
    `FILEDOWNLOADNode` | `setConfiginfo(java.lang.String value)`
    `FILEDOWNLOADNode` | `setEnforceextension(java.lang.String value)`
    `FILEDOWNLOADNode` | `setFileextensions(java.lang.String value)`
    `FILEDOWNLOADNode` | `setFilename(java.lang.String value)`
    `FILEDOWNLOADNode` | `setId(java.lang.String value)`
    `FILEDOWNLOADNode` | `setLocalfilemode(java.lang.String value)`
    `FILEDOWNLOADNode` | `setOpenimmediately(boolean value)`
    `FILEDOWNLOADNode` | `setOpenimmediately(java.lang.String value)`
    `FILEDOWNLOADNode` | `setOpensupported(boolean value)`
    `FILEDOWNLOADNode` | `setOpensupported(java.lang.String value)`
    `FILEDOWNLOADNode` | `setPrintimmediately(boolean value)`
    `FILEDOWNLOADNode` | `setPrintimmediately(java.lang.String value)`
    `FILEDOWNLOADNode` | `setPrintsupported(boolean value)`
    `FILEDOWNLOADNode` | `setPrintsupported(java.lang.String value)`
    `FILEDOWNLOADNode` | `setReference(java.lang.String value)`
    `FILEDOWNLOADNode` | `setRendered(boolean value)`
    `FILEDOWNLOADNode` | `setRendered(java.lang.String value)`
    `FILEDOWNLOADNode` | `setTrigger(java.lang.String value)`
    `FILEDOWNLOADNode` | `setUrl(java.lang.String value)`
    `FILEDOWNLOADNode` | `setWithcallback(boolean value)`
    `FILEDOWNLOADNode` | `setWithcallback(java.lang.String value)`
    `FILEDOWNLOADNode` | `setWithcontentsize(boolean value)`
    `FILEDOWNLOADNode` | `setWithcontentsize(java.lang.String value)`
    `FILEDOWNLOADNode` | `setX(int value)`
    `FILEDOWNLOADNode` | `setX(java.lang.String value)`
    `FILEDOWNLOADNode` | `setY(int value)`
    `FILEDOWNLOADNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FILEDOWNLOADNode

          public FILEDOWNLOADNode()

  - ### Method Detail

    - #### setId

          public FILEDOWNLOADNode setId(java.lang.String value)

    - #### setAccessiblename

          public FILEDOWNLOADNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public FILEDOWNLOADNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public FILEDOWNLOADNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public FILEDOWNLOADNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public FILEDOWNLOADNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public FILEDOWNLOADNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAsynchronous

          public FILEDOWNLOADNode setAsynchronous(java.lang.String value)

    - #### bindAsynchronous

          public FILEDOWNLOADNode bindAsynchronous(IDynamicContentBindingObject value)

    - #### setAsynchronous

          public FILEDOWNLOADNode setAsynchronous(boolean value)

    - #### setAttributemacro

          public FILEDOWNLOADNode setAttributemacro(java.lang.String value)

    - #### setClientname

          public FILEDOWNLOADNode setClientname(java.lang.String value)

    - #### bindClientname

          public FILEDOWNLOADNode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public FILEDOWNLOADNode setColspan(java.lang.String value)

    - #### bindColspan

          public FILEDOWNLOADNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public FILEDOWNLOADNode setColspan(int value)

    - #### setCommandfilter

          public FILEDOWNLOADNode setCommandfilter(java.lang.String value)

    - #### bindCommandfilter

          public FILEDOWNLOADNode bindCommandfilter(IDynamicContentBindingObject value)

    - #### setComment

          public FILEDOWNLOADNode setComment(java.lang.String value)

    - #### bindComment

          public FILEDOWNLOADNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public FILEDOWNLOADNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public FILEDOWNLOADNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnforceextension

          public FILEDOWNLOADNode setEnforceextension(java.lang.String value)

    - #### bindEnforceextension

          public FILEDOWNLOADNode bindEnforceextension(IDynamicContentBindingObject value)

    - #### setFileextensions

          public FILEDOWNLOADNode setFileextensions(java.lang.String value)

    - #### bindFileextensions

          public FILEDOWNLOADNode bindFileextensions(IDynamicContentBindingObject value)

    - #### setFilename

          public FILEDOWNLOADNode setFilename(java.lang.String value)

    - #### bindFilename

          public FILEDOWNLOADNode bindFilename(IDynamicContentBindingObject value)

    - #### setLocalfilemode

          public FILEDOWNLOADNode setLocalfilemode(java.lang.String value)

    - #### bindLocalfilemode

          public FILEDOWNLOADNode bindLocalfilemode(IDynamicContentBindingObject value)

    - #### setOpenimmediately

          public FILEDOWNLOADNode setOpenimmediately(java.lang.String value)

    - #### bindOpenimmediately

          public FILEDOWNLOADNode bindOpenimmediately(IDynamicContentBindingObject value)

    - #### setOpenimmediately

          public FILEDOWNLOADNode setOpenimmediately(boolean value)

    - #### setOpensupported

          public FILEDOWNLOADNode setOpensupported(java.lang.String value)

    - #### bindOpensupported

          public FILEDOWNLOADNode bindOpensupported(IDynamicContentBindingObject value)

    - #### setOpensupported

          public FILEDOWNLOADNode setOpensupported(boolean value)

    - #### setPrintimmediately

          public FILEDOWNLOADNode setPrintimmediately(java.lang.String value)

    - #### bindPrintimmediately

          public FILEDOWNLOADNode bindPrintimmediately(IDynamicContentBindingObject value)

    - #### setPrintimmediately

          public FILEDOWNLOADNode setPrintimmediately(boolean value)

    - #### setPrintsupported

          public FILEDOWNLOADNode setPrintsupported(java.lang.String value)

    - #### bindPrintsupported

          public FILEDOWNLOADNode bindPrintsupported(IDynamicContentBindingObject value)

    - #### setPrintsupported

          public FILEDOWNLOADNode setPrintsupported(boolean value)

    - #### setReference

          public FILEDOWNLOADNode setReference(java.lang.String value)

    - #### setRendered

          public FILEDOWNLOADNode setRendered(java.lang.String value)

    - #### bindRendered

          public FILEDOWNLOADNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public FILEDOWNLOADNode setRendered(boolean value)

    - #### setTrigger

          public FILEDOWNLOADNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public FILEDOWNLOADNode bindTrigger(IDynamicContentBindingObject value)

    - #### setUrl

          public FILEDOWNLOADNode setUrl(java.lang.String value)

    - #### bindUrl

          public FILEDOWNLOADNode bindUrl(IDynamicContentBindingObject value)

    - #### setWithcallback

          public FILEDOWNLOADNode setWithcallback(java.lang.String value)

    - #### bindWithcallback

          public FILEDOWNLOADNode bindWithcallback(IDynamicContentBindingObject value)

    - #### setWithcallback

          public FILEDOWNLOADNode setWithcallback(boolean value)

    - #### setWithcontentsize

          public FILEDOWNLOADNode setWithcontentsize(java.lang.String value)

    - #### bindWithcontentsize

          public FILEDOWNLOADNode bindWithcontentsize(IDynamicContentBindingObject value)

    - #### setWithcontentsize

          public FILEDOWNLOADNode setWithcontentsize(boolean value)

    - #### setX

          public FILEDOWNLOADNode setX(java.lang.String value)

    - #### bindX

          public FILEDOWNLOADNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public FILEDOWNLOADNode setX(int value)

    - #### setY

          public FILEDOWNLOADNode setY(java.lang.String value)

    - #### bindY

          public FILEDOWNLOADNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public FILEDOWNLOADNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.